import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { AddIcon, EditIcon, FileIcon, VerticalDotsIcon } from "@react-components/icons";
import { Button } from "@react-components/button";
import { DropdownMenu } from "@react-components/dropdown-menu";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { isNil } from "lodash";

const createNewItem = (props = {}) => {
  return _objectSpread({
    key: "New",
    text: "New",
    value: "New"
  }, props);
};

const createOpenItem = (props = {}) => {
  return _objectSpread({
    key: "Open...",
    text: "Open...",
    value: "Open..."
  }, props);
};

const createRenameItem = (props = {}) => {
  return _objectSpread({
    key: "Rename...",
    text: "Rename...",
    value: "Rename..."
  }, props);
};

const ACTIONS = [createNewItem(), createOpenItem(), createRenameItem()];

function createDropdownMenu(_ref = {}) {
  let {
    text = "File",
    trigger,
    options = ACTIONS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["text", "trigger", "options"]);

  return /*#__PURE__*/React.createElement(DropdownMenu, Object.assign({
    text: isNil(trigger) ? text : undefined,
    trigger: trigger,
    options: options
  }, otherProps));
}

createDropdownMenu.displayName = "createDropdownMenu";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("DropdownMenu")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories().add("text", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  size: "small",
  className: "mr5"
}), createDropdownMenu({
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  className: "mr5"
}), createDropdownMenu({
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createDropdownMenu({
  size: "large",
  className: "mr5"
}), createDropdownMenu({
  size: "large",
  defaultOpen: true
})))).add("trigger", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(AddIcon, null),
  style: {
    marginRight: "150px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(AddIcon, null),
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(AddIcon, null),
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(AddIcon, null),
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  style: {
    marginRight: "150px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  style: {
    marginRight: "150px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  size: "large",
  defaultOpen: true
})))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "small",
  className: "mr5"
}), createDropdownMenu({
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  className: "mr5"
}), createDropdownMenu({
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createDropdownMenu({
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "large",
  className: "mr5"
}), createDropdownMenu({
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "large",
  defaultOpen: true
})))).add("scrolling", () => createDropdownMenu({
  scrolling: true,
  options: [{
    key: "1",
    text: "1",
    value: "1"
  }, {
    key: "2",
    text: "2",
    value: "2"
  }, {
    key: "3",
    text: "3",
    value: "3"
  }, {
    key: "4",
    text: "4",
    value: "4"
  }, {
    key: "5",
    text: "5",
    value: "5"
  }, {
    key: "6",
    text: "6",
    value: "6"
  }, {
    key: "7",
    text: "7",
    value: "7"
  }, {
    key: "8",
    text: "8",
    value: "8"
  }, {
    key: "9",
    text: "9",
    value: "9"
  }, {
    key: "10",
    text: "10",
    value: "10"
  }, {
    key: "11",
    text: "11",
    value: "11"
  }],
  defaultOpen: true
})).add("direction", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column mr12"
}, createDropdownMenu({
  direction: "left",
  size: "small",
  defaultOpen: true,
  style: {
    marginBottom: "150px"
  }
}), createDropdownMenu({
  direction: "left",
  defaultOpen: true,
  style: {
    marginBottom: "200px"
  }
}), createDropdownMenu({
  direction: "left",
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, createDropdownMenu({
  direction: "right",
  size: "small",
  defaultOpen: true,
  style: {
    marginBottom: "150px"
  }
}), createDropdownMenu({
  direction: "right",
  defaultOpen: true,
  style: {
    marginBottom: "200px"
  }
}), createDropdownMenu({
  direction: "right",
  size: "large",
  defaultOpen: true
})))).add("upward", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginTop: "150px"
  }
}, createDropdownMenu({
  upward: true,
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  upward: true,
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  upward: true,
  size: "large",
  defaultOpen: true
})))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column w-50 mr12"
}, createDropdownMenu({
  size: "small",
  fluid: true,
  style: {
    marginBottom: "200px"
  }
}), createDropdownMenu({
  fluid: true,
  style: {
    marginBottom: "200px"
  }
}), createDropdownMenu({
  size: "large",
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column w-50"
}, createDropdownMenu({
  size: "small",
  fluid: true,
  defaultOpen: true,
  style: {
    marginBottom: "200px"
  }
}), createDropdownMenu({
  fluid: true,
  defaultOpen: true,
  style: {
    marginBottom: "200px"
  }
}), createDropdownMenu({
  size: "large",
  fluid: true,
  defaultOpen: true
}))));
stories("/item").add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  open: true
})), /*#__PURE__*/React.createElement("div", null, createDropdownMenu({
  size: "large",
  open: true
})))).add("active", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    active: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    active: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    active: true
  })],
  size: "large",
  open: true
})))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    disabled: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    disabled: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    disabled: true
  })],
  size: "large",
  open: true
})))).add("description", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    description: "To infinite and beyond!"
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    description: "To infinite and beyond!"
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    description: "To infinite and beyond!"
  })],
  size: "large",
  open: true
})))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    icon: /*#__PURE__*/React.createElement(EditIcon, null)
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    icon: /*#__PURE__*/React.createElement(EditIcon, null)
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    icon: /*#__PURE__*/React.createElement(EditIcon, null)
  })],
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", null, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    icon: /*#__PURE__*/React.createElement(EditIcon, null),
    disabled: true
  })],
  defaultOpen: true
})))).add("link", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank"
  })],
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank",
    icon: /*#__PURE__*/React.createElement(EditIcon, null)
  })],
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank",
    disabled: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank"
  })],
  open: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank",
    icon: /*#__PURE__*/React.createElement(EditIcon, null)
  })],
  open: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank",
    disabled: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank"
  })],
  size: "large",
  open: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank",
    icon: /*#__PURE__*/React.createElement(EditIcon, null)
  })],
  size: "large",
  open: true,
  style: {
    marginRight: "200px"
  }
}), createDropdownMenu({
  options: [createNewItem(), createOpenItem(), createRenameItem({
    as: "a",
    href: "https://www.google.com",
    target: "_blank",
    disabled: true
  })],
  size: "large",
  open: true
}))));