import React from "react";
import { DropdownMenu } from "@react-components/dropdown-menu";
import { LightbulbIcon } from "@react-components/icons";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("DropdownMenu")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories("/sub components").add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  className: "mr5"
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  defaultOpen: true
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})))).add("scrolling", () => /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  scrolling: true,
  defaultOpen: true
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "1"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "2"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "3"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "4"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "5"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "6"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "7"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "8"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "9"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "10"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "11"
}))).add("direction", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  direction: "left",
  defaultOpen: true,
  style: {
    marginRight: "100px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  direction: "right",
  defaultOpen: true,
  style: {
    marginRight: "100px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})))).add("header", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, {
  text: "Quick Actions"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, {
  text: "Quick Actions",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "small",
  defaultOpen: true
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, null, "Custom content"), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "225px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, {
  text: "Quick Actions"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, {
  text: "Quick Actions",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  defaultOpen: true
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, null, "Custom content"), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "large",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, {
  text: "Quick Actions"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "large",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, {
  text: "Quick Actions",
  icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "large",
  defaultOpen: true
}, /*#__PURE__*/React.createElement(DropdownMenu.Header, null, "Custom content"), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
}))))).add("divider", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "small",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Divider, null), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Rename"
}), /*#__PURE__*/React.createElement(DropdownMenu.Divider, null), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Download As..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Publish To Web"
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  defaultOpen: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Divider, null), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Rename"
}), /*#__PURE__*/React.createElement(DropdownMenu.Divider, null), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Download As..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Publish To Web"
})), /*#__PURE__*/React.createElement(DropdownMenu, {
  text: "File",
  size: "large",
  defaultOpen: true
}, /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "New"
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Open..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Divider, null), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Save as..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Rename"
}), /*#__PURE__*/React.createElement(DropdownMenu.Divider, null), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Download As..."
}), /*#__PURE__*/React.createElement(DropdownMenu.Item, {
  text: "Publish To Web"
}))));