import React from "react";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createSharedStories } from "./shared-stories";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/searchable")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

createSharedStories( /*#__PURE__*/React.createElement(Select, null), stories());
createSharedStories( /*#__PURE__*/React.createElement(Select, {
  transparent: true
}), stories("/transparent"));