import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { CalendarIcon, MagnifierIcon } from "@react-components/icons";
import { cloneElement } from "react";
const MALE = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE = {
  key: "Female",
  text: "Female",
  value: "Female"
};
const GENDERS = [MALE, FEMALE];

function createSelect(element, _ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return cloneElement(element, _objectSpread({
    placeholder: "Gender",
    options
  }, otherProps));
}

export function createSharedStories(select, stories) {
  stories.add("default", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    className: "mr5"
  }), createSelect(select, {
    defaultOpen: true
  }))).add("selected value", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    defaultValue: "Female",
    defaultOpen: true
  }))).add("size", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    size: "small",
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    className: "mr5"
  }), createSelect(select, {
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    size: "large",
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    defaultOpen: true
  })))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    fluid: true,
    className: "mr5"
  }), createSelect(select, {
    fluid: true,
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement("div", {
    className: "w-30 mr5"
  }, createSelect(select, {
    fluid: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "w-30"
  }, createSelect(select, {
    fluid: true,
    defaultOpen: true
  }))))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    disabled: true,
    className: "mr5"
  }), createSelect(select, {
    disabled: true,
    defaultValue: "Female"
  }))).add("clearable", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    clearable: true,
    defaultValue: "Female",
    size: "small",
    className: "mr5"
  }), createSelect(select, {
    clearable: true,
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    clearable: true,
    defaultValue: "Female",
    size: "large"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    clearable: true,
    defaultValue: "Female",
    defaultOpen: true
  })))).add("error", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    error: true,
    className: "mr5"
  }), createSelect(select, {
    error: true,
    className: "mr5",
    defaultOpen: true
  }))).add("loading", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    loading: true,
    size: "small",
    className: "mr5"
  }), createSelect(select, {
    loading: true,
    defaultValue: "Female",
    size: "small",
    className: "mr5"
  }), createSelect(select, {
    loading: true,
    size: "small",
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    loading: true,
    className: "mr5"
  }), createSelect(select, {
    loading: true,
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    loading: true,
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    loading: true,
    size: "large",
    className: "mr5"
  }), createSelect(select, {
    loading: true,
    defaultValue: "Female",
    size: "large",
    className: "mr5"
  }), createSelect(select, {
    loading: true,
    size: "large",
    defaultOpen: true
  })))).add("upward", () => /*#__PURE__*/React.createElement("div", {
    style: {
      marginTop: "50px"
    }
  }, createSelect(select, {
    upward: true,
    defaultOpen: true
  }))).add("icon", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "small",
    className: "mr5"
  }), createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    defaultValue: "Male",
    size: "small",
    className: "mr5"
  }), createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "small",
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    className: "mr5"
  }), createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    defaultValue: "Male",
    className: "mr5"
  }), createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "large",
    className: "mr5"
  }), createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    defaultValue: "Male",
    size: "large",
    className: "mr5"
  }), createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "large",
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    disabled: true
  })))).add("item avatar", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    defaultOpen: true,
    className: "mr5"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    className: "mr5"
  }), createSelect(select, {
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    defaultOpen: true,
    className: "mr5"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread({}, FEMALE, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })],
    defaultOpen: true,
    className: "mr5"
  })))).add("item icons", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition: "right"
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition: "right"
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "small",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    defaultOpen: true,
    className: "mr5"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    className: "mr5"
  }), createSelect(select, {
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition: "right"
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition: "right"
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    defaultOpen: true,
    className: "mr5"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition: "right"
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition: "right"
    })],
    defaultValue: "Female",
    className: "mr5"
  }), createSelect(select, {
    size: "large",
    options: [_objectSpread({}, MALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    }), _objectSpread({}, FEMALE, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
    })],
    defaultOpen: true,
    className: "mr5"
  })))).add("item actions", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    size: "small",
    actions: [{
      content: /*#__PURE__*/React.createElement("a", {
        href: "https://www.google.com"
      }, "Google")
    }],
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, createSelect(select, {
    actions: [{
      content: /*#__PURE__*/React.createElement("a", {
        href: "https://www.google.com"
      }, "Google")
    }],
    defaultOpen: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    size: "large",
    actions: [{
      content: /*#__PURE__*/React.createElement("a", {
        href: "https://www.google.com"
      }, "Google")
    }],
    defaultOpen: true
  })))).add("styling", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, createSelect(select, {
    className: "border-red mr5"
  }), createSelect(select, {
    style: {
      border: "1px solid red"
    }
  })));
}